
#include "CityModel/CityModelFactory.hpp"
#include "CityModel/impl/CityModelFactoryImpl.hpp"

using namespace CityModel;

//static initialisation
std::shared_ptr<CityModelFactory> CityModelFactory::instance;

std::shared_ptr<CityModelFactory> CityModelFactory::eInstance()
{
	if(instance==nullptr)
	{
		//create a new Singelton Instance
		instance.reset(CityModelFactoryImpl::create());
	}	
	return instance;
}
