#include "CityModel/CityModelPackage.hpp"
#include "CityModel/impl/CityModelPackageImpl.hpp"

using namespace CityModel;

//static initialisation
const std::string CityModelPackage::eNAME ="CityModel";
const std::string CityModelPackage::eNS_URI ="";
const std::string CityModelPackage::eNS_PREFIX ="";

//Singleton 
std::shared_ptr<CityModelPackage> CityModelPackage::instance;

std::shared_ptr<CityModelPackage> CityModelPackage::eInstance()
{
	if(instance==nullptr)
	{
		//create a new Singelton Instance
		instance.reset(CityModelPackageImpl::create());
		std::dynamic_pointer_cast<CityModelPackageImpl>(instance)->init(instance);
	}	
	return instance;
}
