
#include "CityModel/CityModelPlugin.hpp"
#include "CityModel/impl/CityModelPluginImpl.hpp"

using namespace CityModel;

//static initialisation
std::shared_ptr<MDE4CPPPlugin> CityModelPlugin::instance;

std::shared_ptr<MDE4CPPPlugin> CityModelPlugin::eInstance()
{
	if(instance==nullptr)
	{
		//create a new Singelton Instance
		instance.reset(new CityModelPluginImpl());
	}
	return instance;
}

std::shared_ptr<MDE4CPPPlugin> start()
{
	return CityModelPlugin::eInstance();
}
